curl --request GET \
--url https://api.gospott.com/candidates/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.gospott.com/candidates/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.gospott.com/candidates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": {
"viewType": "candidateName",
"avatarUrl": "<string>",
"firstName": "<string>",
"lastName": "<string>"
},
"gender": {
"viewType": "candidateGender"
},
"nationality": {
"viewType": "candidateNationality",
"nationality": []
},
"status": {
"viewType": "candidateStatus",
"status": []
},
"emails": {
"viewType": "candidateEmails",
"emails": [
{
"email": "<string>",
"isPrimary": true
}
]
},
"phoneNumbers": {
"viewType": "candidatePhoneNumbers",
"phoneNumbers": [
{
"phoneNumber": "<string>",
"isPrimary": true
}
]
},
"locations": {
"viewType": "candidateLocation",
"locations": [
{
"street1": "<string>",
"street2": "<string>",
"postalCode": "<string>",
"city": "<string>",
"region": "<string>",
"state": "<string>",
"country": "<string>",
"rawCityCountry": "<string>",
"latitude": 123,
"longitude": 123,
"formattedAddress": "<string>"
}
]
},
"dateOfBirth": {
"viewType": "candidateDateOfBirth",
"dateOfBirth": "2023-11-07T05:31:56Z"
},
"socialMedia": {
"viewType": "candidateSocialMedia",
"socialMedia": [
{
"url": "<string>",
"isPrimary": true
}
]
},
"lastInteractionDate": {
"viewType": "candidateLastInteractionDate",
"lastInteractionDate": "2023-11-07T05:31:56Z"
},
"lastInteractionWith": {
"viewType": "candidateLastInteractionWith",
"user": {
"userId": "<string>",
"name": "<string>",
"email": "jsmith@example.com",
"avatarUrl": "<string>",
"deactivatedAt": "2023-11-07T05:31:56Z"
}
},
"nextInteractionDate": {
"viewType": "candidateNextInteractionDate",
"nextInteractionDate": "2023-11-07T05:31:56Z"
},
"nextInteractionWith": {
"viewType": "candidateNextInteractionWith",
"user": {
"userId": "<string>",
"name": "<string>",
"email": "jsmith@example.com",
"avatarUrl": "<string>",
"deactivatedAt": "2023-11-07T05:31:56Z"
}
},
"mainContact": {
"viewType": "candidateMainContact",
"user": {
"userId": "<string>",
"name": "<string>",
"email": "jsmith@example.com",
"avatarUrl": "<string>",
"deactivatedAt": "2023-11-07T05:31:56Z"
}
},
"languages": {
"viewType": "candidateLanguages",
"languages": [
{
"id": "<string>"
}
]
},
"compensation": {
"viewType": "candidateCompensation",
"compensation": {
"id": "<string>",
"totalCompensation": 123,
"baseCompensation": 123
}
},
"currentPlacements": {
"viewType": "candidateCurrentPlacements",
"hasCurrentPlacement": true,
"placements": [
{
"id": "<string>",
"company": {
"id": "<string>",
"name": "<string>",
"logoUrl": "<string>"
},
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z"
}
]
},
"nextTaskDue": {
"viewType": "candidateNextTaskDue",
"nextTaskDue": {
"id": "<string>",
"content": "<string>",
"dueDate": "2023-11-07T05:31:56Z"
}
},
"createdAt": "2023-11-07T05:31:56Z",
"modifiedAt": "2023-11-07T05:31:56Z",
"lastActivityDate": "2023-11-07T05:31:56Z",
"acquisitionSource": {
"viewType": "candidateAcquisitionSource"
},
"latestWorkExperience": {
"title": "<string>",
"company": {
"id": "<string>",
"name": "<string>",
"logoUrl": "<string>"
}
},
"customAttributes": [
{
"attributeDefinitionId": "<string>",
"label": "<string>",
"aiFillOngoing": true,
"aiOverridden": true,
"isFilledByAI": true,
"value": {
"viewType": "customText",
"text": "<string>"
}
}
],
"aiSummary": "<string>",
"isVisibleIfClientContact": true,
"clientContacts": {
"viewType": "candidateClientContacts",
"clientContacts": [
{
"id": "<string>",
"company": {
"id": "<string>",
"name": "<string>",
"logoUrl": "<string>"
},
"role": "<string>",
"department": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"active": true,
"emailAddresses": [
{
"email": "<string>",
"isPrimary": true
}
],
"phoneNumbers": [
{
"phoneNumber": "<string>",
"isPrimary": true
}
],
"stage": {
"id": "<string>",
"order": 123,
"name": "<string>",
"colorHex": "<string>"
},
"customAttributes": [
{
"attributeDefinitionId": "<string>",
"label": "<string>",
"aiFillOngoing": true,
"aiOverridden": true,
"isFilledByAI": true,
"value": {
"viewType": "customText",
"text": "<string>"
}
}
]
}
]
},
"hasClientContacts": true,
"hasActiveClientContacts": true,
"skills": [
{
"id": "<string>",
"name": "<string>"
}
]
}{
"status": 0,
"message": "<string>",
"requestId": "<string>",
"errors": [
{
"code": "REQUIRED",
"path": "<string>",
"message": "<string>",
"received": "<unknown>"
}
]
}{
"status": 0,
"message": "<string>",
"requestId": "<string>"
}{
"status": 0,
"message": "Candidate not found",
"requestId": "<string>",
"statusCode": 404,
"error": "Not Found"
}{
"status": 0,
"message": "<string>",
"requestId": "<string>"
}Retrieve a candidate
Retrieves the candidate with the specified ID. Includes personal details, contact information, and any linked client contacts.
Authorizations
API key for authentication. Get your API key from Settings → API Keys in your Spott dashboard.
Path Parameters
Response
Successfully retrieved candidate details
1Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?

